package com.iformall.service;

import com.github.pagehelper.PageInfo;
import com.iformall.domain.po.MallRolePermission;

import java.util.List;

public interface MallRolePermissionService {

	/**
     * 根据实体查询分页列表
     *
     * @param record
     * @param pageIndex
     * @param pageSize
     * @return
     */
	PageInfo<MallRolePermission> listAsPage(MallRolePermission record, Integer pageIndex, Integer pageSize);

    /**
     * 根据实体查询列表
     *
     * @param record
     * @return
     */
    List<MallRolePermission> getList(MallRolePermission record);
	
	/**
     * 根据Id获得实体
     *
     * @param id
     * @return
     */
    MallRolePermission getById(Long id);
    
        /**
     * 保存或更新实体
     *
     * @param record
     */
    void saveOrUpdate(MallRolePermission record);

    /**
     * 根据Id删除实体
     *
     * @param id
     */
    void deleteById(Long id);
    
	
	
    /**
     * 批量保存
     * @param roleId
     * @param perId
     */
    void savePermissions(String tenantId,Long roleId, Long[] perId);

	
	
    void deleteByRoleId(Long roleId);
	
}
